// Chance, final crit
#include <ps2.h>


PS2 mouse(10, 9);

PS2 mouseUp(12, 11);

void mouse_init()
{
  mouse.write(0xff);  // reset
  mouse.read();  // ack byte
  mouse.read();  // blank */
  mouse.read();  // blank */
  mouse.write(0xf0);  // remote mode
  mouse.read();  // ack
  delayMicroseconds(100);
}

void mouseUp_init()
{
  mouseUp.write(0xff);  // reset
  mouseUp.read();  // ack byte
  mouseUp.read();  // blank */
  mouseUp.read();  // blank */
  mouseUp.write(0xf0);  // remote mode
  mouseUp.read();  // ack
  delayMicroseconds(100);
}

void setup()
{
  Serial.begin(9600);
  mouse_init();
  mouseUp_init();

  pinMode(2, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);

}

void loop()
{
  char mstat, mstatUp;
  char mx, mxUp;
  char my, myUp;

  /* get a reading from the mouse */
  mouse.write(0xeb);  // give me data!
  mouse.read();      // ignore ack
  mstat = mouse.read();
  mx = mouse.read();
  my = mouse.read();

  /* send the data back up */
  //Serial.print(mstat, BIN);
  Serial.print("X=");
  Serial.print(mx, DEC);
  Serial.print("\tY=");
  Serial.print(my, DEC);


   /* get a reading from the second mouse */
  mouseUp.write(0xeb);  // give me data!
  mouseUp.read();      // ignore ack
  mstatUp = mouseUp.read();
  mxUp = mouseUp.read();
  myUp = mouseUp.read();

  /* send the data back up */
  //Serial.print(mstatUp, BIN);
  Serial.print("\tZ=");
  Serial.print(mxUp, DEC);
  /*Serial.print("\tY=");
  Serial.print(myUp, DEC);*/
  Serial.println();
  delay(50);
//  delay(20);  /* twiddle */
}
